I cannot install Add-ons

Add-ons for Pale Moon and other applications
General discussion, compatibility, contributed extensions, themes, plugins, and more.

Moderators: FranklinDM, Lootyhoof

User avatar
Sifat
Moongazer
Moongazer
Posts: 11
Joined: 2022-01-26, 10:19

I cannot install Add-ons

Unread post by Sifat » 2022-01-26, 10:26

Hello, I am using Palemoon for more than 6 months(also installed some add-ons). Recently I have reinstalled palemoon for a reason. But now when I tries to install add-ons from https://addons.palemoon.org there only one buttons comes
only on palemoon
. When I click it it sends me to download palemoon. But I am already using palemoon. Now how can I install add-ons?

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2728
Joined: 2012-06-28, 01:20

Re: I cannot install Add-ons

Unread post by ron_1 » 2022-01-26, 13:26

Are you using the most current version, 29.4.4?

User avatar
Night Wing
Knows the dark side
Knows the dark side
Posts: 4673
Joined: 2011-10-03, 10:19
Location: Piney Woods of Southeast Texas, USA

Re: I cannot install Add-ons

Unread post by Night Wing » 2022-01-26, 13:32

You said you've re-installed Pale Moon and you say you've installed some addons before. What addons did you install previously and where did you get them from?

As for the "only one button" comes or shows, what is the name of the button?

We cannot read your mind since you did not provide the specific information when asking for help. You generalized and that is of no help.
Linux Mint 20.3 (Una) Xfce 64 Bit with 64 Bit linux Pale Moon

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2728
Joined: 2012-06-28, 01:20

Re: I cannot install Add-ons

Unread post by ron_1 » 2022-01-26, 13:36

Night Wing wrote:
2022-01-26, 13:32
As for the "only one button" comes or shows, what is the name of the button?
This is what the OP is (presumably) talking about. To add to my question above, are you, the OP, sure you're not running a fork of Pale Moon?

Untitled.jpg
Last edited by ron_1 on 2022-01-26, 13:56, edited 1 time in total.

User avatar
Night Wing
Knows the dark side
Knows the dark side
Posts: 4673
Joined: 2011-10-03, 10:19
Location: Piney Woods of Southeast Texas, USA

Re: I cannot install Add-ons

Unread post by Night Wing » 2022-01-26, 13:41

If that is the addon (extension) he is trying to install, that extension only worked up to Pale Moon 27 which means it most likely will not work in Pale Moon 29.

https://addons.palemoon.org/addon/gnotifier/
Linux Mint 20.3 (Una) Xfce 64 Bit with 64 Bit linux Pale Moon

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2728
Joined: 2012-06-28, 01:20

Re: I cannot install Add-ons

Unread post by ron_1 » 2022-01-26, 13:55

Night Wing wrote:
2022-01-26, 13:41
If that is the addon (extension) he is trying to install, that extension only worked up to Pale Moon 27 which means it most likely will not work in Pale Moon 29.
I didn't say that. The screenshot was just an example to show you the button the OP is talking about. I edited the image so there won't be any more confusion. ;)

coffeebreak
Moon Magic practitioner
Moon Magic practitioner
Posts: 2986
Joined: 2015-09-26, 04:51
Location: U.S.

Re: I cannot install Add-ons

Unread post by coffeebreak » 2022-01-26, 17:39

Sifat wrote:
2022-01-26, 10:26
But now when I tries to install add-ons from https://addons.palemoon.org there only one buttons comes...
Unfortunately, only the most current version of official Pale Moon or Basilisk (and, I think, one previous release) are now permitted to install directly from the Add-ons Site.
(see these posts & following...: 1, 2, 3)

About half a year ago (at a guess, during this work), the Add-ons Site was modified to refuse installation (or saving installers) directly from the site for non-current versions of Pale Moon / Basilisk.

The same applies across-the-board for any browser that isn't officially released by this project (eg spinoff projects like MyPal, White Star, et al...) regardless of its version or how "current" it is.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 32019
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: I cannot install Add-ons

Unread post by Moonchild » 2022-01-26, 17:53

coffeebreak wrote:
2022-01-26, 17:39
About half a year ago (at a guess, during this work),
No you're incorrect.

The website should also not respond with "Only on Pale Moon" if the version is merely considered old and insecure -- it would provide an "Upgrade Pale Moon" button instead, in that case.

That being said though, as part of our change in direction these kinds of checks will be reduced. that doesn't mean, however, we're going to let hostile spinoffs like MyPal have free use of our paid-for infrastructure though, so expect us to continue restricting abuse of our infra.
"You will observe with concern how long a useful truth may be known and exist before it is generally received and practiced on." -- Benjamin Franklin
"Compromise and collaboration lie at the heart of all great endeavours" -- Kassandra
Image

coffeebreak
Moon Magic practitioner
Moon Magic practitioner
Posts: 2986
Joined: 2015-09-26, 04:51
Location: U.S.

Re: I cannot install Add-ons

Unread post by coffeebreak » 2022-01-26, 18:14

Moonchild wrote:
2022-01-26, 17:53
That being said though, as part of our change in direction these kinds of checks will be reduced.
Glad to hear that, to whatever extent it happens.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 32019
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: I cannot install Add-ons

Unread post by Moonchild » 2022-01-26, 21:17

In either case we need to see the output of help->troubleshooting information to know what is going on, if there's anything specific causing this and if the OP is actually using a supported piece of software or not.
"You will observe with concern how long a useful truth may be known and exist before it is generally received and practiced on." -- Benjamin Franklin
"Compromise and collaboration lie at the heart of all great endeavours" -- Kassandra
Image

User avatar
arkaland
Hobby Astronomer
Hobby Astronomer
Posts: 29
Joined: 2017-03-20, 17:35

Re: I cannot install Add-ons

Unread post by arkaland » 2022-01-26, 21:38

:cry: Moonchild,
I would be very happy to "Upgrade Pale Moon" if I could, but since I am simply NOT ABLE to go 64-bit (or buy a new computer), I am stuck with Pale Moon-28.16.0 -- and yes, I have checked out Steve Pusser's 29's along with others, and I can't use them because they're incompatible with my system. Version 28.16.0 may well be "old & insecure" in some ways, but the only other choice open to me is to drop Pale Moon completely and switch to a different browser. The fact is that, for me, Pale Moon-28.16.0 works very well on most Websites and I don't want to drop it. I have quite a few extensions and most are still working just fine, but I am now using "I don't care about cookies" version 3.3.2 and have wanted to upgrade it for quite some time. The PM Addons Site will NOT allow me to even download (much less install) ANY extension at all (not even an older one). Please do not think that I'm feeing "entitled" or that I'm asking for too much. This is NOT an extension that I don't have already -- merely a later version. If the newer versions are NOT compatible with Pale Moon 28, I can determine that very easily. After using Pale Moon as my primary browser for more than 7 years, I really don't want to say goodbye, so please think about this. I realize that my future with Pale Moon will be limited when I can't upgrade the browser anyway, but why rush it?

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 32019
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: I cannot install Add-ons

Unread post by Moonchild » 2022-01-26, 21:52

arkaland wrote:
2022-01-26, 21:38
I am stuck with Pale Moon-28.16.0
No... you're not.
If you're on 32-bit Linux (why? why aren't you using 64-bit Linux like everyone else?) then you can simply make a private build from source. If that's too difficult then ask someone to help you make a private build. Nobody should still be using 28.16 in 2022 -- it's not been updated in over a year and has a whole laundry list of known security issues.
You should not think that a web browser can be treated like any offline application that isn't constantly dealing with hostile foreign content from the Internet. It cannot.
So you are running into a limitation of what you are choosing to use. You say "why rush it?" -- I say "why wait?"

Aside from that, things will be changing quite dramatically very soon, and there won't be a way to make the extensions to come work properly on Pale Moon 25-29 as a result. You'll have to keep with the times and latest version if you want to make use of the add-ons site because we will focus on what is current, and the changes that will be made to the extension system in the browser to give people what they have been indicating they want will simply cause incompatibilities with older Pale Moon.
"You will observe with concern how long a useful truth may be known and exist before it is generally received and practiced on." -- Benjamin Franklin
"Compromise and collaboration lie at the heart of all great endeavours" -- Kassandra
Image

coffeebreak
Moon Magic practitioner
Moon Magic practitioner
Posts: 2986
Joined: 2015-09-26, 04:51
Location: U.S.

Re: I cannot install Add-ons

Unread post by coffeebreak » 2022-01-26, 22:34

Moonchild wrote:
2022-01-26, 21:52
Aside from that, things will be changing quite dramatically very soon, and there won't be a way to make the extensions to come work properly on Pale Moon 25-29 as a result.
Does this refer simply to removal of the dual GUID system, or to something beyond that?

Wouldn't add-ons that target multiple browsers (multiple GUIDs) including that of Firefox, simply continue to work as is?
Edit: Including on older versions of Pale Moon?
Last edited by coffeebreak on 2022-01-26, 22:58, edited 1 time in total.

User avatar
moonbat
Knows the dark side
Knows the dark side
Posts: 3920
Joined: 2015-12-09, 15:45
Contact:

Re: I cannot install Add-ons

Unread post by moonbat » 2022-01-26, 22:43

coffeebreak wrote:
2022-01-26, 22:34
Wouldn't add-ons that target multiple browsers (multiple GUIDs) including that of Firefox, simply continue to work as is?
Those ones already did, given that Basilisk uses the FF GUID.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Image
Linux Mint 20.1 Xfce x64 on HP i5-5200 laptop, 12 GB RAM.
AutoPageColor|PermissionsPlus|PMPlayer|Pure URL|RecordRewind|TextFX

coffeebreak
Moon Magic practitioner
Moon Magic practitioner
Posts: 2986
Joined: 2015-09-26, 04:51
Location: U.S.

Re: I cannot install Add-ons

Unread post by coffeebreak » 2022-01-26, 22:54

moonbat wrote:
2022-01-26, 22:43
Those ones already did...
Moonbat, I already knew and understood that.
If I hadn't, I wouldn't have asked that question.

Are you saying the answer to my question (please reread it, in context of Moonchild's post) is "yes"?

User avatar
moonbat
Knows the dark side
Knows the dark side
Posts: 3920
Joined: 2015-12-09, 15:45
Contact:

Re: I cannot install Add-ons

Unread post by moonbat » 2022-01-26, 23:10

I don't have any insider information, but I don't see why they wouldn't continue to work if things are going back to the way they were.
"One hosts to look them up, one DNS to find them and in the darkness BIND them."

Image
Linux Mint 20.1 Xfce x64 on HP i5-5200 laptop, 12 GB RAM.
AutoPageColor|PermissionsPlus|PMPlayer|Pure URL|RecordRewind|TextFX

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 32019
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: I cannot install Add-ons

Unread post by Moonchild » 2022-01-26, 23:11

coffeebreak wrote:
2022-01-26, 22:54
Are you saying the answer to my question (please reread it, in context of Moonchild's post) is "yes"?
Depends entirely on the add-on, too.
"You will observe with concern how long a useful truth may be known and exist before it is generally received and practiced on." -- Benjamin Franklin
"Compromise and collaboration lie at the heart of all great endeavours" -- Kassandra
Image

coffeebreak
Moon Magic practitioner
Moon Magic practitioner
Posts: 2986
Joined: 2015-09-26, 04:51
Location: U.S.

Re: I cannot install Add-ons

Unread post by coffeebreak » 2022-01-26, 23:35

Moonchild wrote:
2022-01-26, 23:11
Depends entirely on the add-on
I realize that some (unmaintained) add-ons may stop working for other reasons, but my specific question right now concerns the 2d paragraph of this post by you that i had partly quoted above.

Is something planned beyond removal of the dual GUID system - or in the manner of removing that system - that would cause Phoebus add-ons to stop working on older versions of Pale Moon even if they already target Firefox?

User avatar
Sifat
Moongazer
Moongazer
Posts: 11
Joined: 2022-01-26, 10:19

Re: I cannot install Add-ons

Unread post by Sifat » 2022-01-30, 20:15

ron_1 wrote:
2022-01-26, 13:26
Are you using the most current version, 29.4.4?
yes i am using the latest version
i have also check for update and there is no update available, palemoon full updated

User avatar
Sifat
Moongazer
Moongazer
Posts: 11
Joined: 2022-01-26, 10:19

Re: I cannot install Add-ons

Unread post by Sifat » 2022-01-30, 20:17

ron_1 wrote:
2022-01-26, 13:36
Night Wing wrote:
2022-01-26, 13:32
As for the "only one button" comes or shows, what is the name of the button?
This is what the OP is (presumably) talking about. To add to my question above, are you, the OP, sure you're not running a fork of Pale Moon?


Untitled.jpg
Right it is the problem. I am using the latest updated browser

Post Reply